Loading...
Searching...
No Matches
player_settings.h File Reference

Definitions for Blu-Ray player settings. More...

Go to the source code of this file.

## Macros

#define | BLURAY_DCAP_1080p_720p_3D 0x01
| capable of 1920x1080 23.976Hz and 1280x720 59.94Hz 3D
#define | BLURAY_DCAP_720p_50Hz_3D 0x02
| capable of 1280x720 50Hz 3D
#define | BLURAY_DCAP_NO_3D_CLASSES_REQUIRED 0x04
| 3D glasses are not required
#define | BLURAY_DCAP_INTERLACED_3D 0x08
| capable of interlaced 3D
#define | BLURAY_DCAP_DISPLAY_SIZE_UNDEFINED 0
| connected display physical size unknown/undefined
#define | BLURAY_DCAP_DISPLAY_SIZE_MASK 0xfff00
| display size mask
#define | BLURAY_DCAP_DISPLAY_SIZE(cm)
| connected display physical size (cm)
#define | BLURAY_PLAYER_PROFILE_3D_FLAG 0x100000
| set for 3D profiles
#define | BLURAY_PLAYER_PROFILE_VERSION_MASK 0xffff
| bit mask for player version

## Enumerations

enum

{
BLURAY_ACAP_LPCM_48_96_STEREO_ONLY = 0x0001 ,
BLURAY_ACAP_LPCM_48_96_SURROUND = 0x0002 ,
BLURAY_ACAP_LPCM_192_NONE = 0x0000 ,
BLURAY_ACAP_LPCM_192_STEREO_ONLY = 0x0004 ,
BLURAY_ACAP_LPCM_192_SURROUND = 0x0008 ,
BLURAY_ACAP_DDPLUS_STEREO_ONLY = 0x0010 ,
BLURAY_ACAP_DDPLUS_SURROUND = 0x0020 ,
BLURAY_ACAP_DDPLUS_DEP_NONE = 0x0000 ,
BLURAY_ACAP_DDPLUS_DEP_STEREO_ONLY = 0x0040 ,
BLURAY_ACAP_DDPLUS_DEP_SURROUND = 0x0080 ,
BLURAY_ACAP_DTSHD_CORE_STEREO_ONLY = 0x0100 ,
BLURAY_ACAP_DTSHD_CORE_SURROUND = 0x0200 ,
BLURAY_ACAP_DTSHD_EXT_NONE = 0x0000 ,
BLURAY_ACAP_DTSHD_EXT_STEREO_ONLY = 0x0400 ,
BLURAY_ACAP_DTSHD_EXT_SURROUND = 0x0800 ,
BLURAY_ACAP_DD_STEREO_ONLY = 0x1000 ,
BLURAY_ACAP_DD_SURROUND = 0x2000 ,
BLURAY_ACAP_MLP_NONE = 0x0000 ,
BLURAY_ACAP_MLP_STEREO_ONLY = 0x4000 ,
BLURAY_ACAP_MLP_SURROUND = 0x8000
}

| BLURAY_PLAYER_SETTING_AUDIO_CAP (PSR15). More...
enum | { BLURAY_REGION_A = 1 , BLURAY_REGION_B = 2 , BLURAY_REGION_C = 4 }
| BLURAY_PLAYER_SETTING_REGION_CODE (PSR20). More...
enum | { BLURAY_OUTPUT_PREFER_2D = 0 , BLURAY_OUTPUT_PREFER_3D = 1 }
| BLURAY_PLAYER_SETTING_OUTPUT_PREFER (PSR21). More...
enum | { BLURAY_VCAP_SECONDARY_HD = 0x01 , BLURAY_VCAP_25Hz_50Hz = 0x02 }
| BLURAY_PLAYER_SETTING_VIDEO_CAP (PSR29). More...

enum

{
BLURAY_PLAYER_PROFILE_1_v1_0 = ((0x00 << 16) | (0x0100)) ,
BLURAY_PLAYER_PROFILE_1_v1_1 = ((0x01 << 16) | (0x0110)) ,
BLURAY_PLAYER_PROFILE_2_v2_0 = ((0x03 << 16) | (0x0200)) ,
BLURAY_PLAYER_PROFILE_3_v2_0 = ((0x08 << 16) | (0x0200)) ,
BLURAY_PLAYER_PROFILE_5_v2_4 = ((0x13 << 16) | (0x0240)) ,
BLURAY_PLAYER_PROFILE_6_v3_0 = ((0x00 << 16) | (0x0300)) ,
BLURAY_PLAYER_PROFILE_6_v3_1 = ((0x00 << 16) | (0x0310))
}

| BLURAY_PLAYER_SETTING_PLAYER_PROFILE (PSR31). More...
enum | { BLURAY_PG_TEXTST_DECODER_DISABLE = 0 , BLURAY_PG_TEXTST_DECODER_ENABLE = 1 }
| BLURAY_PLAYER_SETTING_DECODE_PG. More...
enum | { BLURAY_PERSISTENT_STORAGE_DISABLE = 0 , BLURAY_PERSISTENT_STORAGE_ENABLE = 1 }
| BLURAY_PLAYER_SETTING_PERSISTENT_STORAGE. More...
enum | bd_player_setting_uo_restriction_level { BLURAY_PLAYER_SETTING_UO_RESTRICTION_DISABLED = 0 , BLURAY_PLAYER_SETTING_UO_RESTRICTION_RELAXED = 5 , BLURAY_PLAYER_SETTING_UO_RESTRICTION_SAFE = 10 , BLURAY_PLAYER_SETTING_UO_RESTRICTION_COMPLIANT = 20 }
| BLURAY_PLAYER_SETTING_UO_RESTRICTION_LEVEL. More...

## Detailed Description

Definitions for Blu-Ray player settings.

## Macro Definition Documentation

## BLURAY_DCAP_DISPLAY_SIZE

#define BLURAY_DCAP_DISPLAY_SIZE | ( |  | cm | ) |

Value:
(((cm) > 0xfff ? 0xfff : (cm)) << 8)

connected display physical size (cm)

## Enumeration Type Documentation

## anonymous enum

anonymous enum

BLURAY_PLAYER_SETTING_OUTPUT_PREFER (PSR21).

Output mode preference (integer)

Enumerator
BLURAY_OUTPUT_PREFER_2D | 2D output preferred
BLURAY_OUTPUT_PREFER_3D | 3D output preferred

## anonymous enum

anonymous enum

BLURAY_PLAYER_SETTING_DECODE_PG.

Enable Presentation Graphics and Text Subtitle decoder

Enumerator
BLURAY_PG_TEXTST_DECODER_DISABLE | disable both decoders
BLURAY_PG_TEXTST_DECODER_ENABLE | enable both decoders

## anonymous enum

anonymous enum

BLURAY_PLAYER_SETTING_REGION_CODE (PSR20).

Player region code (integer)

Enumerator
BLURAY_REGION_A | Region A: the Americas, East and Southeast Asia, U.S. territories, and Bermuda.
BLURAY_REGION_B | Region B: Africa, Europe, Oceania, the Middle East, the Kingdom of the Netherlands, British overseas territories, French territories, and Greenland.
BLURAY_REGION_C | Region C: Central and South Asia, Mongolia, Russia, and the People's Republic of China.

## anonymous enum

anonymous enum

BLURAY_PLAYER_SETTING_VIDEO_CAP (PSR29).

Player capability for video (bit mask)

Enumerator
BLURAY_VCAP_SECONDARY_HD | player can play secondary stream in HD
BLURAY_VCAP_25Hz_50Hz | player can play 25Hz and 50Hz video

## anonymous enum

anonymous enum

BLURAY_PLAYER_SETTING_PLAYER_PROFILE (PSR31).

Player profile and version

- Profile 1, version 1.0: no local storage, no VFS, no internet
- Profile 1, version 1.1: PiP, VFS, sec. audio, 256MB local storage, no internet
- Profile 2, version 2.0: BdLive (internet), 1GB local storage

Enumerator
BLURAY_PLAYER_PROFILE_1_v1_0 | Profile 1, version 1.0 (Initial Standard Profile).
BLURAY_PLAYER_PROFILE_1_v1_1 | Profile 1, version 1.1 (secondary stream support).
BLURAY_PLAYER_PROFILE_2_v2_0 | Profile 2, version 2.0 (network access, BdLive).
BLURAY_PLAYER_PROFILE_3_v2_0 | Profile 3, version 2.0 (audio only player).
BLURAY_PLAYER_PROFILE_5_v2_4 | Profile 5, version 2.4 (3D).
BLURAY_PLAYER_PROFILE_6_v3_0 | Profile 6, version 3.0 (UHD).
BLURAY_PLAYER_PROFILE_6_v3_1 | Profile 6, version 3.1 (UHD).

## anonymous enum

anonymous enum

BLURAY_PLAYER_SETTING_AUDIO_CAP (PSR15).

Player capability for audio (bitmask)

Enumerator
BLURAY_ACAP_LPCM_48_96_STEREO_ONLY | LPCM 48kHz and 96kHz stereo capable.
BLURAY_ACAP_LPCM_48_96_SURROUND | LPCM 48kHz and 96kHz surround capable.
BLURAY_ACAP_LPCM_192_NONE | LPCM 192kHz not supported.
BLURAY_ACAP_LPCM_192_STEREO_ONLY | LPCM 192kHz stereo capable.
BLURAY_ACAP_LPCM_192_SURROUND | LPCM 192kHz surround capable.
BLURAY_ACAP_DDPLUS_STEREO_ONLY | DD Plus independent substream stereo capable.
BLURAY_ACAP_DDPLUS_SURROUND | DD Plus independent substream surround capable.
BLURAY_ACAP_DDPLUS_DEP_NONE | DD Plus dependent substream not supported.
BLURAY_ACAP_DDPLUS_DEP_STEREO_ONLY | DD Plus dependent substream stereo capable.
BLURAY_ACAP_DDPLUS_DEP_SURROUND | DD Plus dependent substream surround capable.
BLURAY_ACAP_DTSHD_CORE_STEREO_ONLY | DTS-HD Core stereo capable.
BLURAY_ACAP_DTSHD_CORE_SURROUND | DTS-HD Core surround capable.
BLURAY_ACAP_DTSHD_EXT_NONE | DTS-HD extension substream not supported.
BLURAY_ACAP_DTSHD_EXT_STEREO_ONLY | DTS-HD extension substream stereo capable.
BLURAY_ACAP_DTSHD_EXT_SURROUND | DTS-HD extension substream surround capable.
BLURAY_ACAP_DD_STEREO_ONLY | Dolby Digital audio stereo capable.
BLURAY_ACAP_DD_SURROUND | Dolby Digital audio surround capable.
BLURAY_ACAP_MLP_NONE | MLP not supported.
BLURAY_ACAP_MLP_STEREO_ONLY | MLP stereo capable.
BLURAY_ACAP_MLP_SURROUND | MLP surround capable.

## anonymous enum

anonymous enum

BLURAY_PLAYER_SETTING_PERSISTENT_STORAGE.

Enable / disable BD-J persistent storage.

If persistent storage is disabled, BD-J Xlets can't access any data stored during earlier playback sessions. Persistent data stored during current playback session will be removed and can't be accessed later.

This setting can't be changed after bd_play() has been called.

Enumerator
BLURAY_PERSISTENT_STORAGE_DISABLE | disable persistent storage between playback sessions
BLURAY_PERSISTENT_STORAGE_ENABLE | enable persistent storage

## bd_player_setting_uo_restriction_level

enum bd_player_setting_uo_restriction_level

BLURAY_PLAYER_SETTING_UO_RESTRICTION_LEVEL.

User Operations (UO) restriction mask enforcement level.

Enumerator
BLURAY_PLAYER_SETTING_UO_RESTRICTION_DISABLED | Executes all UOs unconditionally. May break the playback.
BLURAY_PLAYER_SETTING_UO_RESTRICTION_RELAXED | Allows most UOs, performs some sanity checks to reduce playback issues.
BLURAY_PLAYER_SETTING_UO_RESTRICTION_SAFE | Mostly compliant, however allows some UOs which should not cause playback issues.
BLURAY_PLAYER_SETTING_UO_RESTRICTION_COMPLIANT | Compliant UO restriction enforcement.